# *
# *	Copyright (c) 2000 Alberto Reggiori / <alberto.reggiori@jrc.it>
# *	ISIS/RIT, Joint Research Center Ispra (I)
# *
# * NOTICE
# *
# * This product is distributed under a BSD/ASF like license as described in the 'LICENSE'
# * file you should have received together with this source code. If you did not get a
# * a copy of such a license agreement you can pick up one at:
# *
# *     http://xml.jrc.it/RDFStore/LICENSE
# *
# *
package RDF::Store::Literal;
{
use RDF::Literal;
use RDF::Store::RDFNode;

@RDF::Store::Literal::ISA = qw( RDF::Store::RDFNode RDF::Literal );

sub new {
    bless $_[0]->SUPER::new($_[1]),$_[0];
};

sub equals {
	if ($_[0] == $_[1]) {
      		return 1;
    	};
    	if ( (not(defined $_[1])) || !($_[1]->isa("RDF::Literal"))) {
      		return 0;
    	};
	return $_[0]->SUPER::equals($_[1]);
};

1;
};

__END__

=head1 NAME

RDF::Store::Literal - An implementation of the Literal RDF API

=head1 SYNOPSIS

  use RDF::Store::Literal;
  my $literal = new RDF::Store::Literal("Ciao neh!!");

=head1 DESCRIPTION

An RDF::Literal implementation using Digested URIs.

=head1 SEE ALSO

Digest(3)

=head1 AUTHOR

	Alberto Reggiori <alberto.reggiori@jrc.it>
